Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.collections
Class CollectionConfigurationManager

    java.lang.Object
      org.exist.collections.CollectionConfigurationManager

public class CollectionConfigurationManager
extends java.lang.Object

Manages index configurations. Index configurations are stored in a collection hierarchy below /db/system/config. CollectionConfigurationManager is called by `Collection` to retrieve the `CollectionConfiguration` instance for a given collection.

Author:
  wolf

Field Summary
`static java.lang.String` | `CONFIG_COLLECTION`
`static XmldbURI` | `CONFIG_COLLECTION_URI`

Constructor Summary
`CollectionConfigurationManager(DBBroker broker)`

Method Summary
`void` | `addConfiguration(Txn transaction, DBBroker broker, Collection collection, java.lang.String config)` Add a new collection configuration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_COLLECTION

    public static final java.lang.String CONFIG_COLLECTION

See Also:
  Constant Field Values

### CONFIG_COLLECTION_URI

    public static final XmldbURI CONFIG_COLLECTION_URI

Constructor Detail

### CollectionConfigurationManager

    public CollectionConfigurationManager(DBBroker broker)
                                   throws EXistException

Method Detail

### addConfiguration

    public void addConfiguration(Txn transaction,
                                 DBBroker broker,
                                 Collection collection,
                                 java.lang.String config)
                          throws CollectionConfigurationException

  Add a new collection configuration. The XML document is passed as a string.

  Parameters:
    `broker` -
    `collection` - the collection to which the configuration applies.
    `config` - the xconf document as a String.
  Throws:
    `CollectionConfigurationException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.